%define	upstream_name	 File-chmod
%define	upstream_version 0.42

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Implements symbolic and ls chmod modes  
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(English)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::More)
BuildRequires: perl(autodie)
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
File::chmod is a utility that allows you to bypass system calls or bit
processing of a file's permissions. It overloads the chmod() function with its
own that gets an octal mode, a symbolic mode (see below), or an "ls" mode (see
below). If you wish not to overload chmod(), you can export symchmod() and
lschmod(), which take, respectively, a symbolic mode and an "ls" mode.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc CONTRIBUTING Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3*/*
%{perl_vendorlib}/File

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.420.0-7.mga10
+ Revision: 2198715
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.420.0-6.mga9
+ Revision: 1803619
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.420.0-5.mga8
+ Revision: 1494474
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.420.0-4.mga7
+ Revision: 1267903
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.420.0-3.mga6
+ Revision: 1027286
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.420.0-2.mga6
+ Revision: 967203
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 0.420.0-1.mga6
+ Revision: 848502
- update to 0.42

* Wed Oct 15 2014 umeabot <umeabot> 0.400.0-3.mga5
+ Revision: 750271
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.400.0-2.mga5
+ Revision: 684783
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 sander85 <sander85> 0.400.0-1.mga5
+ Revision: 585942
- update to 0.40

* Sat Oct 19 2013 umeabot <umeabot> 0.390.0-2.mga4
+ Revision: 534871
- Mageia 4 Mass Rebuild

* Sun Sep 15 2013 sander85 <sander85> 0.390.0-1.mga4
+ Revision: 479860
- update to 0.39

* Mon Sep 09 2013 sander85 <sander85> 0.380.0-1.mga4
+ Revision: 476603
- update to 0.38

* Sun Sep 08 2013 sander85 <sander85> 0.340.0-1.mga4
+ Revision: 476309
- update to 0.34

* Sun Jan 13 2013 umeabot <umeabot> 0.320.0-2.mga3
+ Revision: 367429
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.320.0-1.mga1
+ Revision: 30400
- mageia rebuild
- imported package perl-File-chmod


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.320.0-1mdv2010.0
+ Revision: 403167
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.32-3mdv2009.0
+ Revision: 256875
- rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 0.32-1mdv2008.1
+ Revision: 135841
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Aug 16 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.32-1mdv2008.0
+ Revision: 64584
- import perl-File-chmod


* Thu Aug 16 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.32-1mdv2008.0
- first mdv release
